Get feature details
curl --request GET \
--url https://api.example.com/api/v1/features/{id_or_code} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/features/{id_or_code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/features/{id_or_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"feature_type": {},
"id": "feat_7n42DGM5Tflk9n8mt7Fhc7",
"name": "<string>",
"status": "ACTIVE",
"description": "<string>",
"entitlement": {
"created_at": "2023-11-07T05:31:56Z",
"feature_id": "feat_7n42DGM5Tflk9n8mt7Fhc7",
"id": "ent_7n42DGM5Tflk9n8mt7Fhc7",
"updated_at": "2023-11-07T05:31:56Z",
"value": {
"enabled": true
}
},
"product": {
"id": "prd_7n42DGM5Tflk9n8mt7Fhc7",
"name": "<string>"
}
}{
"code": "BAD_REQUEST",
"message": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>"
}Features
Get feature details
GET
/
api
/
v1
/
features
/
{id_or_code}
Get feature details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Feature ID or code
Response
Feature details
Unique key used to reference this feature in your code. Cannot be changed after creation.
- Option 1
- Option 2
- Option 3
Example:
"feat_7n42DGM5Tflk9n8mt7Fhc7"
Lifecycle status of a feature.
Available options:
ACTIVE, DISABLED, ARCHIVED Feature-level (default) entitlement, applied to all subscriptions as the lowest-priority.
Show child attributes
Show child attributes
Product this feature belongs to.
Show child attributes
Show child attributes
⌘I